NAND_READ_PAGE_HWECC(9)

NAME
nand_read_page_hwecc - [REPLACEABLE] hardware ECC based page read function

SYNOPSIS

int nand_read_page_hwecc(struct mtd_info * mtd, struct nand_chip * chip, uint8_t * buf, int oob_required, int page);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

buf
    buffer to store read data

oob_required
    caller requires OOB data read to chip->oob_poi

page
    page number to read

DESCRIPTION

Not for syndrome calculating ECC controllers which need a special oob layout.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT